<%
require 'rubygems'

def local_gems
   Gem::Specification.sort_by{ |g| [g.name.downcase, g.version] }.group_by{ |g| g.name }
end

gems = local_gems().map{ |name, specs|
    [
        name,
        specs.map{ |spec| spec.version.to_s }.join(',')
    ].join(' ')
}
-%>

<%= "===================" %>
<%= "  Runtime Details  " %>
<%= "===================" %>
<%= "Ruby version: " + RUBY_VERSION %>

<%= "==================" %>
<%= "  Installed Gems  " %>
<%= "==================" %>
<%= gems.to_yaml %>